/*
    This file is a part of Musty, a simple Molecular Dynamics simulation
    package.
    
    Copyright (C) 2005 Jori Liesenborgs

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef LJFORCE_H

#define LJFORCE_H

#include "interparticleforce.h"

class LJForce : public InterParticleForce
{
public:
	LJForce(real_t epsilon,real_t sigma) 			{ e = epsilon; s = sigma; }

	// here, the masses are irrelevant (epsilon = energy)
	real_t GetForce(real_t dist,real_t mass1,real_t mass2)
	{
		real_t x = s/dist;
		real_t f = -(12.0*e/dist)*(POW(x,12.0)-POW(x,6.0));
		return f;
	}
private:
	real_t e,s;
};

#endif // LJFORCE_H

