/*
    This file is a part of Musty, a simple Molecular Dynamics simulation
    package.
    
    Copyright (C) 2005 Jori Liesenborgs

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef PARTICLE_H

#define PARTICLE_H

#include "vector3d.h"

class Particle
{
public:
	Particle()										{ m = 0; }
	Particle(real_t mass,Vector3D position,Vector3D velocity)				{ m = mass; pos = position; vel = velocity; }
	void SetMass(real_t mass)								{ m = mass; }
	real_t GetMass() const									{ return m; }
	void SetPosition(Vector3D position)							{ pos = position; }
	Vector3D GetPosition() const								{ return pos; }
	void SetVelocity(Vector3D velocity)							{ vel = velocity; }
	Vector3D GetVelocity() const								{ return vel; }
private:
	real_t m;
	Vector3D pos,vel;
};

#endif // PARTICLE_H

