/*
    This file is a part of Musty, a simple Molecular Dynamics simulation
    package.
    
    Copyright (C) 2005 Jori Liesenborgs

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#ifndef REALTYPE_H

#define REALTYPE_H

#include <math.h>

/*
#define LONGREAL
   
typedef long double real_t;

#define ABS(x) 		fabsl(x)
#define SQRT(x)		sqrtl(x)
#define COS(x)		cosl(x)
#define SIN(x)		sinl(x)
#define TAN(x)		tanl(x)
#define ACOS(x)		acosl(x)
#define ASIN(x)		asinl(x)
#define ATAN(x)		atanl(x)
#define LN(x)		logl(x)
#define ASINH(x)	asinhl(x)
#define ACOSH(x)	acoshl(x)
#define ATANH(x)	atanhl(x)
#define POW(x,y)	powl(x,y)
#define ISNAN(x)	__isnanl(x)
#define EXP(x)		expl(x)

*/
 
typedef double real_t;

#define ABS(x) 		fabs(x)
#define SQRT(x)		sqrt(x)
#define COS(x)		cos(x)
#define SIN(x)		sin(x)
#define TAN(x)		tan(x)
#define ACOS(x)		acos(x)
#define ASIN(x)		asin(x)
#define ATAN(x)		atan(x)
#define LN(x)		log(x)
#define ASINH(x)	asinh(x)
#define ACOSH(x)	acosh(x)
#define ATANH(x)	atanh(x)
#define POW(x,y)	pow(x,y)
#define ISNAN(x)	__isnan(x)
#define EXP(x)		exp(x)

#endif // REALTYPE_H

